%define upstream_name    Lingua-StopWords
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Stop words for several languages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::More::UTF8)
BuildArch:  noarch

%description
In keyword search, it is common practice to suppress a collection of
"stopwords": words such as "the", "and", "maybe", etc. which exist in in a
large number of documents and do not tell you anything important about any
document which contains them. This module provides such "stoplists" in
several languages.

Supported Languages
        |-----------------------------------------------------------|
        | Language   | ISO code | default encoding | also available |
        |-----------------------------------------------------------|
        | Danish     | da       | ISO-8859-1       | UTF-8          | 
        | Dutch      | nl       | ISO-8859-1       | UTF-8          | 
        | English    | en       | ISO-8859-1       | UTF-8          |
        | Finnish    | fi       | ISO-8859-1       | UTF-8          |
        | French     | fr       | ISO-8859-1       | UTF-8          |
        | German     | de       | ISO-8859-1       | UTF-8          | 
        | Hungarian  | hu       | ISO-8859-1       | UTF-8          | 
        | Italian    | it       | ISO-8859-1       | UTF-8          | 
        | Norwegian  | no       | ISO-8859-1       | UTF-8          | 
        | Portuguese | pt       | ISO-8859-1       | UTF-8          | 
        | Spanish    | es       | ISO-8859-1       | UTF-8          | 
        | Swedish    | sv       | ISO-8859-1       | UTF-8          | 
        | Russian    | ru       | KOI8-R           | UTF-8          | 
        |-----------------------------------------------------------|

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.120.0-2.mga9
+ Revision: 1814365
- Mageia 9 Mass Rebuild

* Mon Apr 19 2021 tv <tv> 0.120.0-1.mga9
+ Revision: 1716872
- update to 0.12

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-9.mga8
+ Revision: 1495357
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-8.mga7
+ Revision: 1268884
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1029160
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 944790
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 750972
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 685222
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 512610
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 369079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 26442
- mageia rebuild
- imported package perl-Lingua-StopWords

